#include <string.h>
#include <error.h>
#include "defines.h"
#include "menu.h"
#include "astring.h"

int exec_error(int *x,int *y,unchar *name,MCOLORS *colors)
/* 実行エラーメッセージ表示 */
{
unchar s0[DISPX],s2[DISPX];
	strcpy(s0,exename(name));
	strcat(s0,"実行エラー");
	
	strcpy(s2,name);
	strcat(s2,"を確認して下さい");
	
	err_mes(x,y,1,s0,exec_err_mes(name),s2,colors);
	
	return(-errno);
}
